org.appng.persistence.repository

## Interface EnversSearchRepository<T,ID extends Serializable,N extends Number & Comparable<N>>

- Type Parameters:
    `T` - the domain class
    `ID` - the type of the Id of the domain class
    `N` - the type of the revision
  All Superinterfaces:
    org.springframework.data.repository.CrudRepository<T,ID>, org.springframework.data.jpa.repository.JpaRepository<T,ID>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<T>, org.springframework.data.repository.PagingAndSortingRepository<T,ID>, org.springframework.data.repository.query.QueryByExampleExecutor<T>, org.springframework.data.repository.Repository<T,ID>, org.springframework.data.repository.history.RevisionRepository<T,ID,N>, SearchRepository<T,ID>
  All Known Implementing Classes:
    EnversSearchRepositoryImpl

      @NoRepositoryBean
      public interface EnversSearchRepository<T,ID extends Serializable,N extends Number & Comparable<N>>
      extends org.springframework.data.repository.history.RevisionRepository<T,ID,N>, SearchRepository<T,ID>

  A `SearchRepository` that additionally offers Spring Data Envers functionality
  Author:
    Claus Stuemke
  See Also:
    `SearchRepository`, `RevisionRepository`

- - ### Method Summary

    - ### Methods inherited from interface org.springframework.data.repository.history.RevisionRepository

      `findLastChangeRevision, findRevision, findRevisions, findRevisions`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.